The Process Payment Reconciliation object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

status string

Default: draft

company string required
party_type string required
party string required
receivable_payable_account string required
from_invoice_date string
to_invoice_date string
from_payment_date string
to_payment_date string
cost_center string
bank_cash_account string
error_log string
default_advance_account string required
The Process Payment Reconciliation object
{
  "id": "process-payment-reconciliation_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "company": "Example Corp",
  "party_type": "party_type_example",
  "party": "party_example",
  "receivable_payable_account": "receivable_payable_account_example",
  "from_invoice_date": "2024-01-15",
  "to_invoice_date": "2024-01-15",
  "from_payment_date": "2024-01-15",
  "to_payment_date": "2024-01-15",
  "cost_center": "cost_center_example",
  "bank_cash_account": "bank_cash_account_example",
  "error_log": "error_log_example",
  "default_advance_account": "default_advance_account_example"
}
GET /api/accounts/process-payment-reconciliation/{id}

Retrieve a process payment reconciliation

Retrieves the details of an existing process payment reconciliation. Supply the unique process payment reconciliation ID that was returned from a previous request.

Path parameters

id string required

The identifier of the process payment reconciliation to retrieve.

Returns

Returns the process payment reconciliation object if a valid identifier was provided.

GET /api/accounts/process-payment-reconciliation/{id}
curl https://api.overplane.dev/api/accounts/process-payment-reconciliation/process-payment-reconciliation_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "process-payment-reconciliation_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "company": "Example Corp",
  "party_type": "party_type_example",
  "party": "party_example",
  "receivable_payable_account": "receivable_payable_account_example",
  "from_invoice_date": "2024-01-15",
  "to_invoice_date": "2024-01-15",
  "from_payment_date": "2024-01-15",
  "to_payment_date": "2024-01-15",
  "cost_center": "cost_center_example",
  "bank_cash_account": "bank_cash_account_example",
  "error_log": "error_log_example",
  "default_advance_account": "default_advance_account_example"
}
GET /api/accounts/process-payment-reconciliation

List all process payment reconciliations

Returns a list of process payment reconciliations. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of process payment reconciliation objects.

GET /api/accounts/process-payment-reconciliation
curl https://api.overplane.dev/api/accounts/process-payment-reconciliation \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "process-payment-reconciliation_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "status": "draft",
      "company": "Example Corp",
      "party_type": "party_type_example",
      "party": "party_example",
      "receivable_payable_account": "receivable_payable_account_example",
      "from_invoice_date": "2024-01-15",
      "to_invoice_date": "2024-01-15",
      "from_payment_date": "2024-01-15",
      "to_payment_date": "2024-01-15",
      "cost_center": "cost_center_example",
      "bank_cash_account": "bank_cash_account_example",
      "error_log": "error_log_example",
      "default_advance_account": "default_advance_account_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/process-payment-reconciliation

Create a process payment reconciliation

Creates a new process payment reconciliation object.

Body parameters

status string

Default: draft

company string required
party_type string required
party string required
receivable_payable_account string required
from_invoice_date string
to_invoice_date string
from_payment_date string
to_payment_date string
cost_center string
bank_cash_account string
error_log string
default_advance_account string required

Returns

Returns the newly created process payment reconciliation object if the call succeeded.

POST /api/accounts/process-payment-reconciliation
curl https://api.overplane.dev/api/accounts/process-payment-reconciliation \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"company":"Example Corp","party_type":"party_type_example","party":"party_example","receivable_payable_account":"receivable_payable_account_example","default_advance_account":"default_advance_account_example"}'
Response
{
  "id": "process-payment-reconciliation_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "company": "Example Corp",
  "party_type": "party_type_example",
  "party": "party_example",
  "receivable_payable_account": "receivable_payable_account_example",
  "from_invoice_date": "2024-01-15",
  "to_invoice_date": "2024-01-15",
  "from_payment_date": "2024-01-15",
  "to_payment_date": "2024-01-15",
  "cost_center": "cost_center_example",
  "bank_cash_account": "bank_cash_account_example",
  "error_log": "error_log_example",
  "default_advance_account": "default_advance_account_example"
}
PATCH /api/accounts/process-payment-reconciliation/{id}

Update a process payment reconciliation

Updates the specified process payment reconciliation by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the process payment reconciliation to update.

Body parameters

status string

Default: draft

company string
party_type string
party string
receivable_payable_account string
from_invoice_date string
to_invoice_date string
from_payment_date string
to_payment_date string
cost_center string
bank_cash_account string
error_log string
default_advance_account string

Returns

Returns the updated process payment reconciliation object.

PATCH /api/accounts/process-payment-reconciliation/{id}
curl https://api.overplane.dev/api/accounts/process-payment-reconciliation/process-payment-reconciliation_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"status":"draft","company":"Example Corp"}'
Response
{
  "id": "process-payment-reconciliation_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "company": "Example Corp",
  "party_type": "party_type_example",
  "party": "party_example",
  "receivable_payable_account": "receivable_payable_account_example",
  "from_invoice_date": "2024-01-15",
  "to_invoice_date": "2024-01-15",
  "from_payment_date": "2024-01-15",
  "to_payment_date": "2024-01-15",
  "cost_center": "cost_center_example",
  "bank_cash_account": "bank_cash_account_example",
  "error_log": "error_log_example",
  "default_advance_account": "default_advance_account_example"
}
DELETE /api/accounts/process-payment-reconciliation/{id}

Delete a process payment reconciliation

Permanently deletes a process payment reconciliation. This cannot be undone.

Path parameters

id string required

The identifier of the process payment reconciliation to delete.

Returns

Returns a confirmation that the process payment reconciliation has been deleted.

DELETE /api/accounts/process-payment-reconciliation/{id}
curl https://api.overplane.dev/api/accounts/process-payment-reconciliation/process-payment-reconciliation_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "process-payment-reconciliation_abc123",
  "deleted": true
}
POST /api/accounts/process-payment-reconciliation/{id}/submit

Submit a process payment reconciliation

Submits a draft process payment reconciliation, transitioning its status from draft to submitted.

Path parameters

id string required

The identifier of the process payment reconciliation to act on.

Returns

Returns the process payment reconciliation object with updated status.

POST /api/accounts/process-payment-reconciliation/{id}/submit
curl https://api.overplane.dev/api/accounts/process-payment-reconciliation/process-payment-reconciliation_abc123/submit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "process-payment-reconciliation_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "company": "Example Corp",
  "party_type": "party_type_example",
  "party": "party_example",
  "receivable_payable_account": "receivable_payable_account_example",
  "from_invoice_date": "2024-01-15",
  "to_invoice_date": "2024-01-15",
  "from_payment_date": "2024-01-15",
  "to_payment_date": "2024-01-15",
  "cost_center": "cost_center_example",
  "bank_cash_account": "bank_cash_account_example",
  "error_log": "error_log_example",
  "default_advance_account": "default_advance_account_example"
}
POST /api/accounts/process-payment-reconciliation/{id}/cancel

Cancel a process payment reconciliation

Cancels a submitted process payment reconciliation, transitioning its status to cancelled.

Path parameters

id string required

The identifier of the process payment reconciliation to act on.

Returns

Returns the process payment reconciliation object with updated status.

POST /api/accounts/process-payment-reconciliation/{id}/cancel
curl https://api.overplane.dev/api/accounts/process-payment-reconciliation/process-payment-reconciliation_abc123/cancel \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "process-payment-reconciliation_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "company": "Example Corp",
  "party_type": "party_type_example",
  "party": "party_example",
  "receivable_payable_account": "receivable_payable_account_example",
  "from_invoice_date": "2024-01-15",
  "to_invoice_date": "2024-01-15",
  "from_payment_date": "2024-01-15",
  "to_payment_date": "2024-01-15",
  "cost_center": "cost_center_example",
  "bank_cash_account": "bank_cash_account_example",
  "error_log": "error_log_example",
  "default_advance_account": "default_advance_account_example"
}